import dynamix_sdk.base as _base


class CloudapiComputeStartResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeStartProtocol(_base.BasePostAPIFunctionProtocol):
    def start(
        self,
        *,
        vm_id: int,
        boot_cdrom_image_id: None | int = None,
    ) -> CloudapiComputeStartResultBool:
        ...
